- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: bc16c86f-068e-40e9-a0b1-823351a5bc70
    creation_time: 2023-02-17T12:07:20.441277Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound2.c: 40704d62e6828e524eeb24a4dc1771a4d2719fc47e6facdd014c5940cef1d5d0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound2.c
    file_hash: 40704d62e6828e524eeb24a4dc1771a4d2719fc47e6facdd014c5940cef1d5d0
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a1cc4936-8dc0-42dc-b21d-79c4b706c808
    creation_time: 2023-02-17T12:07:20.441569Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound2.c: 40704d62e6828e524eeb24a4dc1771a4d2719fc47e6facdd014c5940cef1d5d0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound2.c
    file_hash: 40704d62e6828e524eeb24a4dc1771a4d2719fc47e6facdd014c5940cef1d5d0
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: b9acb8d9-efff-4a81-90e9-42726274b51d
    creation_time: 2023-02-17T12:07:20.441689Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat2-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat2-ll_valuebound2.c: 40704d62e6828e524eeb24a4dc1771a4d2719fc47e6facdd014c5940cef1d5d0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat2-ll_valuebound2.c
    file_hash: 40704d62e6828e524eeb24a4dc1771a4d2719fc47e6facdd014c5940cef1d5d0
    line: 49
    column: 0
    function: main
  location_invariant:
    string:  (  ( longlong ) 4*A )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

